=== requirements.txt ===
pytest
pycodestyle
pyflakes
coverage
sphinx
pytest-cov
nudatus>=0.0.2 

# Mock is bundled as part of unittest since Python 3.3
# mock_open can't read binary data in <= 3.4.2
mock ; python_version == '2.7' or python_version == '3.4'
