=== debian/changelog ===
python-uflash (1.2.4+dfsg-11) unstable; urgency=medium

  * Team Upload
  * remove depedency on old python3-mock
  * use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Thu, 21 Mar 2024 21:34:12 +0100

python-uflash (1.2.4+dfsg-10) unstable; urgency=medium

  * d/control:
    - Declare compliance with Debian Policy 4.6.2 (no changes)
    - Add (Build-) Depends on mount
  * d/copyright:
    - Bump years of Debian copyright
  * d/lintian-overrides:
    - Refresh mismatched overrides
  * d/rules:
    - Refresh dh_auto_clean override

 -- Nick Morrott <nickm@debian.org>  Fri, 24 Feb 2023 02:59:25 +0000

python-uflash (1.2.4+dfsg-9) unstable; urgency=medium

  * Drop convenience package firmware-microbit-micropython-dl
  * d/control:
    - Update standards version to 4.6.0, no changes needed.
    - Drop unnecessary version constraints
    - Promote firmware-microbit-micropython to (Build-)Depends (Closes: #919752)
  * d/copyright:
    - Refresh years of Debian copyright
    - Use 4-digit years for Debian copyright ranges
  * d/patches:
    - Drop patch disable-tests-requiring-local-runtime
    - Refresh patch use-debian-micropython-runtime-hex
  * d/t/control:
    - Add python3-all to test dependencies
  * d/u/metadata:
    - Remove unknown field Bug-Repository
  * d/watch:
    - Update pattern for GitHub archive URLs

 -- Nick Morrott <nickm@debian.org>  Tue, 15 Feb 2022 11:17:06 +0000

python-uflash (1.2.4+dfsg-8) unstable; urgency=medium

  * d/firmware-microbit-micropython-dl.postinst:
    - Update firmware URL (Closes: #991280)

 -- Nick Morrott <nickm@debian.org>  Fri, 30 Jul 2021 04:26:04 +0100

python-uflash (1.2.4+dfsg-7) unstable; urgency=medium

  * d/python-uflash-doc.links:
    - Add convenience links to python3-uflash package
  * d/salsa-ci.yml:
    - Add Salsa CI pipeline

 -- Nick Morrott <nickm@debian.org>  Sun, 07 Feb 2021 09:27:01 +0000

python-uflash (1.2.4+dfsg-6) unstable; urgency=medium

  * Team upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Wed, 20 Jan 2021 10:08:20 -0500

python-uflash (1.2.4+dfsg-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control:
    - Update Maintainer field with new Debian Python Team contact address.
    - Update Vcs-* fields with new Debian Python Team Salsa layout.

  [ Debian Janitor ]
  * d/u/metadata:
    - Set upstream metadata fields: Bug-Database.
    - Remove obsolete fields Contact, Name (already present in
      machine-readable debian/copyright).

  [ Nick Morrott ]
  * d/control:
    - Declare compliance with Debian Policy 4.5.1
    - Rename -doc package to drop Python version
    - Add firmware-microbit-micropython-dl Enhances python3-uflash dep
  * d/copyright:
    - Refresh years of Debian copyright
  * d/lintian-overrides:
    - Add overrides for odd-mark-in-description
  * d/watch:
    - Migrate to version 4 watch file format

 -- Nick Morrott <nickm@debian.org>  Tue, 05 Jan 2021 01:06:41 +0000

python-uflash (1.2.4+dfsg-4) unstable; urgency=medium

  * d/manpages:
    - Improve formatting of custom manpage

 -- Nick Morrott <nickm@debian.org>  Fri, 31 Jul 2020 19:06:05 +0100

python-uflash (1.2.4+dfsg-3) unstable; urgency=medium

  * d/control:
    - Mark package python3-uflash-doc as M-A: foreign
  * d/manpages:
    - Update authorship

 -- Nick Morrott <nickm@debian.org>  Fri, 31 Jul 2020 15:52:34 +0100

python-uflash (1.2.4+dfsg-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Nick Morrott ]
  * d/control:
    - Bump Standards-Version to 4.5.0
    - Bump debhelper-compat level to 13
    - Set Rules-Requires-Root to no
    - Update Uploaders to use my Debian email address
    - Fix typo in dependency for python3-uflash-doc binary package
      (Closes: #962706)
  * d/copyright:
    - Refresh years of Debian copyright
  * d/gbp.conf:
    - Use pristine-tar
  * d/tests:
    - Run autopkgtests against all supported Python versions

 -- Nick Morrott <nickm@debian.org>  Wed, 17 Jun 2020 23:30:03 +0100

python-uflash (1.2.4+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #906450)

 -- Nick Morrott <knowledgejunkie@gmail.com>  Sun, 30 Dec 2018 19:02:29 +0100
