=== debian/control ===
Source: python-uflash
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Nick Morrott <nickm@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 firmware-microbit-micropython,
 mount,
 pandoc,
 python3-all,
 python3-coverage,
 python3-nudatus,
 python3-pycodestyle,
 python3-pyflakes,
 python3-pytest,
 python3-pytest-cov,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.6.2
Homepage: https://github.com/ntoll/uflash
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-uflash
Vcs-Git: https://salsa.debian.org/python-team/packages/python-uflash.git
Rules-Requires-Root: no

Package: python3-uflash
Architecture: all
Depends:
 firmware-microbit-micropython,
 mount,
 python3,
 python3-nudatus,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-uflash-doc,
Description: module and utility for flashing the BBC micro:bit
 uflash is a utility for flashing the BBC micro:bit with Python scripts
 and the MicroPython runtime.
 .
 It provides two services:
 .
  * a library of functions to programmatically create a hex file and flash
    it onto a BBC micro:bit.
  * a command line utility (uflash) that will flash Python scripts onto
    a BBC micro:bit
 .
 Several essential operations are implemented:
 .
  * encode Python into the hex format
  * embed the resulting hexified Python into the MicroPython runtime hex
  * extract an encoded Python script from a MicroPython hex file
  * discover the connected micro:bit
  * copy the resulting hex onto the micro:bit, thus flashing the device
  * specify the MicroPython runtime hex in which to embed your Python code
 .
 By default, python3-uflash uses the MicroPython runtime for micro:bit
 provided by the firmware-microbit-micropython package and which is
 located at /usr/share/firmware-microbit-micropython/firmware.hex.
 .
 This package provides the Python 3 module.

Package: python-uflash-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Suggests:
 www-browser,
Enhances: python3-uflash
Breaks: python3-uflash-doc
Replaces: python3-uflash-doc
Description: module and utility for flashing the BBC micro:bit (documentation)
 uflash is a utility for flashing the BBC micro:bit with Python scripts
 and the MicroPython runtime.
 .
 It provides two services:
 .
  * a library of functions to programmatically create a hex file and flash
    it onto a BBC micro:bit.
  * a command line utility (uflash) that will flash Python scripts onto
    a BBC micro:bit
 .
 Several essential operations are implemented:
 .
  * encode Python into the hex format
  * embed the resulting hexified Python into the MicroPython runtime hex
  * extract an encoded Python script from a MicroPython hex file
  * discover the connected micro:bit
  * copy the resulting hex onto the micro:bit, thus flashing the device
  * specify the MicroPython runtime hex in which to embed your Python code
 .
 By default, python3-uflash uses the MicroPython runtime for micro:bit
 provided by the firmware-microbit-micropython package and which is
 located at /usr/share/firmware-microbit-micropython/firmware.hex.
 .
 This package provides the uflash documentation.
