=== debian/watch ===
version=4
opts="dversionmangle=s/@DEB_EXT@//, repacksuffix=+dfsg1, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" https://github.com/ntoll/uflash/tags .*/archive/refs/tags/v?@ANY_VERSION@@ARCHIVE_EXT@ debian debian/repack.sh
